/*
 * Copyright 2009, 2010 IPOL Image Processing On Line http://www.ipol.im/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/** @file io_tiff_routine.h
 *
 * @brief List of links of external functions used in FDS_MCM.c
 *
 *
 */

/* io_tiff_all.c */

float *read_tiff_f32(const char *fname, size_t *nx, size_t *ny, size_t *nc);
unsigned char *read_tiff_u8(const char *fname, size_t *nx, size_t *ny, 
                            size_t *nc);
int write_tiff_f32(const char *fname, const float *data, size_t nx, size_t ny,
                   size_t nc);
int write_tiff_u8(const char *fname, const unsigned char *data, size_t nx, 
                  size_t ny, size_t nc);
